Subject: [Simple] MSRP ACM and File Transfer Open Source implementation

From: Adrian Georgescu <[email-masked]>
Date: Wed, 25 May 2011 17:19:55 +0200

Hello,

We have released today in the open source domain both client and server implementation for multiparty push and pull File Transfers (RFC5547) and MSRP ACM support (RFC6135)

This completes a several years journey related to implementing the MSRP protocol, which a key ingredient in developing SIP applications beyond VoIP. 

All MSRP client and server software components have been implemented successfully and are available in the Open Source domain:

- MSRP Client Library   http://download.ag-projects.com/MSRP/
- MSRP Relay   http://msrprelay.org/
- MSRP Chat Server    http://sylkserver.com

All client feature are built into Blink SIP client:

Blink http://icanblink.com

Their correspondent IETF standards are:
MSRP protocol RFC4975
MSRP relay extension RFC4976
MSRP File Transfer RFC5547
MSRP Alternative Connection Model RFC6135
MSRP switch draft-ietf-simple-chat-08
Indication of Message Composition RFC3994
CPIM Message Format RFC3862
Conference event package RFC4575
A Framework for Conferencing with SIP RFC4353
Conferencing for User Agents RFC4579
MSRP media plane is a perfect companion for RTP, which is used for audio and video streams. It is a key ingredient for leveraging the real power of SIP protocol that few have exploited so far. MSRP provides connection oriented media stream, reliable connectivity, delivery reports, TLS encryption and works excellent in NATed environments. Other vendors are moving into the same direction by adding MSRP capabilities to their SIP solutions. 

Today we are using MSRP successfully for applications beyond Voice over IP like Instant Messaging, File Transfers and Desktop Sharing.  Other applications that need a direct reliable connection between SIP end-points can easily achieve this over an MSRP connection. Using SIP SIMPLE client SDK one can use just a few lines of code to enable MSRP transport for a SIP end-point.

Many thanks to all that helped us on the way, especially our main sponsor NLnet foundation http://nlnet.nl and IETF that managed to produce a standard that works well.

The following people authored the software:

Adrian Georgescu
Dan Pascu
Denis Bilenko
Luci Stanescu
Ruud Klaver
Saúl Ibarra

Special thanks to Henry  Sinnreich, Alan B. Jonhston, Robert J. Sparks for their relentless mentoring, their patience with the young apprentice and for writing the great SIP Beyond VoIP book:

http://www.amazon.com/SIP-Beyond-VoIP-Communications-Revolution/dp/0974813001

Regards,
Adrian